Subject: FW: Last Call: <draft-leiba-extended-doc-shepherd-00.txt> (Document Shepherding Throughout a Document's Lifecycle) to Informational RFC

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 25 Sep 2012 20:13:07 +0100

Hi,
I don't understand the process for this document.

I read Russ's  words, but I don't glean the meaning :-(

This document is in IETF last call for publication in the IETF stream.
Yet any comments received will not necessarily be taken on board and the
document will not be published as having IETF consensus.
Why does that feel like Independent Stream to me?
And why is an RFC needed simply to record the thoughts of one person?

Is the purpose of the Last Call simply to help the IESG make its decision?

Thanks,
Adrian (Who has yet to read the document, but feels that he cannot make any
useful comments since the content is the opinion of one person and he has no
idea whether the document correctly reflects the opinion of that person.)

> -----Original Message-----
> From: [email-masked] [mailto:ietf-announce-
> [email-masked]] On Behalf Of The IESG
> Sent: 25 September 2012 15:41
> To: IETF-Announce
> Subject: Last Call: <draft-leiba-extended-doc-shepherd-00.txt> (Document
> Shepherding Throughout a Document's Lifecycle) to Informational RFC
> 
> 
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'Document Shepherding Throughout a Document's Lifecycle'
>   <draft-leiba-extended-doc-shepherd-00.txt> as Informational RFC
> 
> The author is documenting his own opinion, and he is presenting that
> opinion to the community for consideration.  The author is not
> proposing any formal change, but he is interested in community
> comments.  Since this is the authors opinions, changes to the document
> based on received comments be at the author's discretion.  As a
> result, the finished document will not claim to reflect IETF community
> consensus.
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2012-10-23. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
>    RFC 4858 talks about "Document Shepherding from Working Group Last
>    Call to Publication".  There's a significant part of a document's
>    life that happens before working group last call, starting, really,
>    at the time a working group begins discussing a version of the idea
>    that's been posted as an individual draft.  It seems reasonable and
>    helpful to begin shepherding when there's a call for adoption as a
>    working group document, and this document gives one Area Director's
>    view of how that extended shepherding function might work, and what
>    tasks might be involved throughout the document's lifecycle.
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-leiba-extended-doc-shepherd/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-leiba-extended-doc-shepherd/ballot/
> 
> No IPR declarations have been submitted directly on this I-D.

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 25 Sep 2012 14:29:03 -0600

Good questions all.

IMHO, Independent Stream at most. Or a simple blog post would do. :)

On 9/25/12 1:13 PM, Adrian Farrel wrote:
> Hi, I don't understand the process for this document.
> 
> This document is in IETF last call for publication in the IETF
> stream. Yet any comments received will not necessarily be taken on
> board and the document will not be published as having IETF
> consensus. Why does that feel like Independent Stream to me? And
> why is an RFC needed simply to record the thoughts of one person?
> 
> Thanks, Adrian (Who has yet to read the document, but feels that he
> cannot make any useful comments since the content is the opinion of
> one person and he has no idea whether the document correctly
> reflects the opinion of that person.)
> 
>> -----Original Message----- From: [email-masked]
>> [mailto:ietf-announce- [email-masked]] On Behalf Of The IESG 
>> Sent: 25 September 2012 15:41 To: IETF-Announce Subject: Last
>> Call: <draft-leiba-extended-doc-shepherd-00.txt> (Document 
>> The IESG has received a request from an individual submitter to
>> consider the following document: - 'Document Shepherding
>> Throughout a Document's Lifecycle' 
>> The author is documenting his own opinion, and he is presenting
>> that opinion to the community for consideration.  The author is
>> not proposing any formal change, but he is interested in
>> community comments.  Since this is the authors opinions, changes
>> to the document based on received comments be at the author's
>> discretion.  As a result, the finished document will not claim to
>> reflect IETF community consensus.
>> 
>> The IESG plans to make a decision in the next few weeks, and
>> solicits final comments on this action. Please send substantive
>> comments to the [email-masked] mailing lists by 2012-10-23.
>> Exceptionally, comments may be sent to [email-masked] instead. In
>> either case, please retain the beginning of the Subject line to
>> allow automated sorting.
>> 
>> Abstract
>> 
>> RFC 4858 talks about "Document Shepherding from Working Group
>> Last Call to Publication".  There's a significant part of a
>> document's life that happens before working group last call,
>> starting, really, at the time a working group begins discussing a
>> version of the idea that's been posted as an individual draft.
>> It seems reasonable and helpful to begin shepherding when there's
>> a call for adoption as a working group document, and this
>> document gives one Area Director's view of how that extended
>> shepherding function might work, and what tasks might be involved
>> throughout the document's lifecycle.
>> 
>>

---

From: Russ Housley <[email-masked]>
Date: Tue, 25 Sep 2012 17:31:27 -0400

I felt that the IETF Last Call would bring it to the attention of the community.  This seems worthwhile because the opinions are about an IETF process.

Russ

---

From: Barry Leiba <[email-masked]>
Date: Tue, 25 Sep 2012 17:37:51 -0400

> I read Russ's  words, but I don't glean the meaning :-(

Think of it like the documents where we republish something from
another organization:

   http://datatracker.ietf.org/doc/rfc6449/

....or publish something that describes how a product from a
particular company works:

   http://datatracker.ietf.org/doc/rfc6281/
   http://datatracker.ietf.org/doc/draft-claise-export-application-info-in-ipfix/

> Why does that feel like Independent Stream to me?

Russ thought that process-related stuff wasn't suitable for the
Independent Stream.

Barry

---

From: Glen Zorn <[email-masked]>
Date: Wed, 26 Sep 2012 09:14:24 +0700

On 09/26/2012 03:29 AM, Peter Saint-Andre wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Good questions all.
>
>> Is the purpose of the Last Call simply to help the IESG make its

Spoilsports!  Why shouldn't the IESG have its very own vanity 
publication house? ;-)

...

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 26 Sep 2012 12:32:08 +0200

Hi Barry,

There is a disconnect between what the Last Call is asking and what you
really seem to be asking as a feedback. 

> The IESG has received a request from an individual submitter to
consider the following document:
- 'Document Shepherding Throughout a Document's Lifecycle'
  <draft-leiba-extended-doc-shepherd-00.txt> as Informational RFC

> The author is documenting his own opinion, and he is presenting that
opinion to the community for consideration.  The author is not proposing
any formal change, but he is interested in community comments.  Since
this is the authors opinions, changes to the document based on received
comments be at the author's discretion.  As a result, the finished
document will not claim to reflect IETF community consensus.

final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2012-10-23. Exceptionally, comments may
be sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

The document Abstract says: 

>  It seems reasonable and

I understand that you are interested in the community comments. However
the Last Call speaks also about an action - publication of this document
as an Informational RFC. This does not seem to be in synch with 'changes
to the document based on comments be at the authors discussion'. 

So what are we really debating? 

- the early shepherding proposal contained in the document? , or
- the action to approve this I-D as an Informational RFC as part of the
IETF stream despite the fact that its content may not reflect the IETF
consensus? 

I do not see any procedure breach in the way this Last Call is
submitted, but there is something that is unusual in the IETF practice.
An AD-sponsored document can be submitted to the IESG approval without
the need of community consensus expressed in IETF Last Call. However, in
many cases the sheperding AD prefers to consult with the community and
sends the document to Last Call. It is assumed or at least understood
that the comments are being considered and if the community rejects the
document or part of it it will not be published at the author's
discretion'. This document seems to be different. 

Regards,

Dan

> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Barry Leiba
> Sent: Tuesday, September 25, 2012 11:38 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: FW: Last Call: <draft-leiba-extended-doc-shepherd-
> 00.txt>(Document Shepherding Throughout a Document's Lifecycle)
> toInformational RFC
> 
another
> organization:
particular
> company works:
http://datatracker.ietf.org/doc/draft-claise-export-application-info-
> in-ipfix/